%global npmname irc-colors

Name:           nodejs-%{npmname}
Version:        1.4.2
Release:        1%{?dist}
Summary:        Color and formatting for irc made easy

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

# Tests not included.
# Source0:        https://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
Source0:        https://github.com/fent/irc-colors.js/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  nodejs-vows, nodejs-istanbul

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Easily use colored output and formatting in your irc bots.

%prep
%autosetup -n irc-colors.js-%{version}

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a lib/ %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
istanbul-js cover vows -- --spec test/*-test.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md example/

%changelog
* Tue Mar 06 2018 Ben Rosser <rosser.bjr@gmail.com> - 1.4.2-1
- Updated to latest upstream release (#1549109).

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Nov 01 2017 Fedora Release Monitoring  <release-monitoring@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0 (#1508189)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 20 2017 Ben Rosser <rosser.bjr@gmail.com> - 1.3.3-1
- Initial package.
